Explicitly set K8S_CONFORMANCE_IMAGE_VERSION, update si-tests.tgz

* Due to the issue PRODX-38638, Mirantis artifactory has the
  conformance image only inside the internal artifactory. Thus,
  the si-tests cannot make the request to the public artifactory
  and identify the correct Conformance tests image version and path.
* So, now we are setting K8S_CONFORMANCE_IMAGE_VERSION explicitly
  basing on the K8S server version of MCC and MOS.
* Also, setting the K8S_CONFORMANCE_IMAGE_URL to the public path
  because customers envs have no access to the internal paths.
* Updated k8s/src/si-tests.tgz because it has the fix of PRODX-38638.

Related-PROD: PROD-37187
Change-Id: I37271cd187c579baf2115a53a2338a071f3873f0
(cherry picked from commit e3e2fa35dd5424d5d796ed65bc2ee8b24b1ed651)
diff --git a/k8s/workspace/run-conformance-mos.sh b/k8s/workspace/run-conformance-mos.sh
index a528b3d..737c4ff 100644
--- a/k8s/workspace/run-conformance-mos.sh
+++ b/k8s/workspace/run-conformance-mos.sh
@@ -11,6 +11,22 @@
 export K8S_CONFORMANCE_RUN_NETPOLICY_TESTS=False
 echo "Run network policy tests is ${K8S_CONFORMANCE_CONCURRENCY} for MCC"
 
+if [ -z "$MOS_K8S_CONFORMANCE_IMAGE_VERSION" ]; then
+  echo "Error: Failed to determine Kubernetes Conformance image version. Please export K8S_CONFORMANCE_IMAGE_VERSION, for example, export K8S_CONFORMANCE_IMAGE_VERSION=1.xx.x-x"
+  exit 1
+else
+  echo "Using K8S Conformance image version ${MOS_K8S_CONFORMANCE_IMAGE_VERSION}"
+  export K8S_CONFORMANCE_IMAGE_VERSION=${MOS_K8S_CONFORMANCE_IMAGE_VERSION}
+fi
+
+if [ -z "$MOS_K8S_CONFORMANCE_IMAGE_URL" ]; then
+  echo "Error: Failed to determine Kubernetes Conformance image path. Please export K8S_CONFORMANCE_IMAGE_URL, for example, export K8S_CONFORMANCE_IMAGE_URL=mirantis.azurecr.io/lcm/kubernetes/k8s-conformance:v1.xx.x-x"
+  exit 1
+else
+  echo "Using K8S Conformance image path ${MOS_K8S_CONFORMANCE_IMAGE_URL}"
+  export K8S_CONFORMANCE_IMAGE_URL=${MOS_K8S_CONFORMANCE_IMAGE_URL}
+fi
+
 # Run tests
 pytest /opt/si-tests/si_tests/tests/deployment/test_k8s_conformance.py
 unset TARGET_CLUSTER